diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index a1d04e8..4e0745a 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -310,6 +310,100 @@ in the bootstrap set. Thus,
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter A}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain AFFPL AffinePlane}
+<<AffinePlane.input>>=
+)set break resume
+)sys rm -f AffinePlane.output
+)spool AffinePlane.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AffinePlane
+--R AffinePlane K: Field  is a domain constructor
+--R Abbreviation for AffinePlane is AFFPL 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for AFFPL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                affinePoint : List K -> %
+--R coerce : List K -> %                  coerce : % -> List K
+--R coerce : % -> OutputForm              conjugate : % -> %
+--R definingField : % -> K                degree : % -> PositiveInteger
+--R ?.? : (%,Integer) -> K                hash : % -> SingleInteger
+--R latex : % -> String                   list : % -> List K
+--R orbit : % -> List %                   origin : () -> %
+--R pointValue : % -> List K              rational? : % -> Boolean
+--R setelt : (%,Integer,K) -> K           ?~=? : (%,%) -> Boolean
+--R conjugate : (%,NonNegativeInteger) -> %
+--R orbit : (%,NonNegativeInteger) -> List %
+--R rational? : (%,NonNegativeInteger) -> Boolean
+--R removeConjugate : List % -> List %
+--R removeConjugate : (List %,NonNegativeInteger) -> List %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AffinePlane.help>>=
+====================================================================
+AffinePlane examples
+====================================================================
+
+See Also:
+o )show AffinePlane
+
+@
+\pagehead{AffinePlane}{AFFPL}
+\pagepic{ps/v103affineplane.ps}{AFFPL}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{AFFPL}{?.?} &
+\cross{AFFPL}{?=?} &
+\cross{AFFPL}{?\~{}=?} &
+\cross{AFFPL}{affinePoint} &
+\cross{AFFPL}{coerce} \\
+\cross{AFFPL}{conjugate} &
+\cross{AFFPL}{definingField} &
+\cross{AFFPL}{degree} &
+\cross{AFFPL}{hash} &
+\cross{AFFPL}{latex} \\
+\cross{AFFPL}{list} &
+\cross{AFFPL}{orbit} &
+\cross{AFFPL}{origin} &
+\cross{AFFPL}{pointValue} &
+\cross{AFFPL}{rational?} \\
+\cross{AFFPL}{removeConjugate} &
+\cross{AFFPL}{setelt} &&&
+\end{tabular}
+
+<<domain AFFPL AffinePlane>>=
+)abbrev domain AFFPL AffinePlane
+++ Author: Gaetan Hache
+++ Date Created: 17 nov 1992
+++ Date Last Updated: May 2010 by Tim Daly
+++ Description:  
+++ The following is all the categories and domains related to projective
+++ space and part of the PAFF package
+AffinePlane(K):Exports == Implementation where
+  K:Field
+  
+  Exports ==> AffineSpaceCategory(K)
+
+  Implementation ==> AffineSpace(2,K)
+  
+  
+@
+<<AFFPL.dotabb>>=
+"AFFPL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFPL"];
+"AFFSP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFSP"];
+"AFFPL" -> "AFFSP"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AFFSP AffineSpace}
 <<AffineSpace.input>>=
 )set break resume
@@ -124992,6 +125086,8 @@ Note that this code is not included in the generated catdef.spad file.
 \chapter{Chunk collections}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<algebra>>=
+
+<<domain AFFPL AffinePlane>>
 <<domain AFFSP AffineSpace>>
 <<domain ALGSC AlgebraGivenByStructuralConstants>>
 <<domain ALGFF AlgebraicFunctionField>>
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 49fa596..3a929f5 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -23829,6 +23829,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
  '(
  ;;define the groups |basic| |naglink| |anna| |categories| |Hidden| |defaults|
   (|basic| 
+   (|AffinePlane| . AFFPL)
    (|AffineSpace| . AFFSP)
    (|AlgebraicManipulations| . ALGMANIP)
    (|AlgebraicNumber| . AN)
diff --git a/books/ps/v103affineplane.ps b/books/ps/v103affineplane.ps
new file mode 100644
index 0000000..5b09596
--- /dev/null
+++ b/books/ps/v103affineplane.ps
@@ -0,0 +1,268 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 104 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 68 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% AFFPL
+gsave
+[ /Rect [ 0 72 60 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=AFFPL) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 60 108 moveto
+0 108 lineto
+0 72 lineto
+60 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 60 108 moveto
+0 108 lineto
+0 72 lineto
+60 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8 85.9 moveto 44 (AFFPL) alignedtext
+grestore
+% AFFSP
+gsave
+[ /Rect [ 0 0 60 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=AFFSP) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 60 36 moveto
+0 36 lineto
+0 0 lineto
+60 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 60 36 moveto
+0 36 lineto
+0 0 lineto
+60 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8 13.9 moveto 44 (AFFSP) alignedtext
+grestore
+% AFFPL->AFFSP
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 30 72 moveto
+30 64 30 55 30 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 33.5 46 moveto
+30 36 lineto
+26.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 33.5 46 moveto
+30 36 lineto
+26.5 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 104 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index d307b0d..b648ac9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100516 tpd src/axiom-website/patches.html 20100516.05.tpd.patch
+20100516 tpd src/algebra/Makefile help and test for AFFPL
+20100516 tpd books/bookvol5 expose AffinePlane
+20100516 tpd books/bookvol10.3 add AffinePlane
+20100516 tpd books/ps/v103affineplane.ps added
 20100516 tpd src/axiom-website/patches.html 20100516.04.tpd.patch
 20100516 tpd books/bookvol10.2 fix AffineSpaceCategory.input NNI bug
 20100516 tpd src/axiom-website/patches.html 20100516.03.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index ccb04b3..abf39f4 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -4393,6 +4393,7 @@ Used by next layer: IVECTOR PTCAT STRICAT
 <<layer9>>=
 
 LAYER9=\
+  ${OUT}/AFFPL.o    \
   ${OUT}/BITS.o     ${OUT}/DIRPROD2.o ${OUT}/IMATRIX.o  ${OUT}/INTRVL.o  \
   ${OUT}/IVECTOR.o  ${OUT}/LOCPOWC.o  \
   ${OUT}/LODO1.o    ${OUT}/LODO2.o    ${OUT}/LPOLY.o   \
@@ -4404,6 +4405,15 @@ LAYER9=\
 <<layerpic>>=
 /* layer 9 */
 /* Depends on: BTAGG FLALG INTCAT LODOCAT MATCAT SRAGG UPSCAT VECTCAT */
+/* AFFSP */
+
+"AFFPL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFPL"]
+"AFFPL" -> "AFFSP"
+/*"AFFPL" -> {"AFSPCAT"; "SETCATD"; "SETCAT"; "BASTYPE"; "KOERCE"; "FIELD"}*/
+/*"AFFPL" -> {"EUCDOM"; "PID"; "GCDDOM"; "INTDOM"; "COMRING"; "RING"; "RNG"}*/
+/*"AFFPL" -> {"ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"; "SGROUP"; "MONOID"}*/
+/*"AFFPL" -> {"LMODULE"; "BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"}*/
+/*"AFFPL" -> {"ENTIRER"; "UFD"; "DIVRING"}*/
 
 "BITS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BITS"]
 "BITS" -> "BTAGG"
@@ -16406,6 +16416,21 @@ ${MID}/AFFSP.nrlib/code.o: ${MID}/AFFSP.spad
 	      | ${INTERPSYS} >${TMP}/trace ; \
 	   fi )
 @
+<<newcode>>=
+
+AFFPLDEPS = SETCATD AFSPCAT AFFSP
+
+${MID}/AFFPL.nrlib/code.o: ${MID}/AFFPL.spad
+	@echo P3 making ${MID}/AFFPL.nrlib/code.o from ${MID}/AFFPL.spad
+	@ (cd ${MID} ; \
+	   if [ -z "${NOISE}" ] ; then \
+	    echo -e ")lib ${AFFPLDEPS} \n )co AFFPL.spad" \
+              | ${INTERPSYS} ; \
+           else \
+	    echo -e ")lib ${AFFPLDEPS} \n )co AFFPL.spad" \
+	      | ${INTERPSYS} >${TMP}/trace ; \
+	   fi )
+@
 
 \section{Broken Files}
 These files are Aldor files
@@ -17110,6 +17135,7 @@ This keeps the regression test list in the algebra Makefile.
 HELPFILE=${HELP}/help.help
 
 SPADHELP=\
+ ${HELP}/AffinePlane.help \
  ${HELP}/AffineSpace.help \
  ${HELP}/AffineSpaceCategory.help \
  ${HELP}/AlgebraicallyClosedField.help \
@@ -17293,6 +17319,7 @@ is put into a int/Makefile.algebra and then executed by make.
 TESTSYS=  ${OBJ}/${SYS}/bin/interpsys
 
 REGRESS= \
+ AffinePlane.regress \
  AffineSpace.regress \
  AffineSpaceCategory.regress \
  AlgebraicallyClosedField.regress \
@@ -17475,8 +17502,20 @@ all: ${REGRESS}
 	@echo algebra test cases complete.
 @
 <<spadhelp>>=
+${HELP}/AffinePlane.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7000 create AffinePlane.help from \
+            ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AffinePlane.help" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${HELP}/AffinePlane.help
+	@cp ${HELP}/AffinePlane.help ${HELP}/AFFPL.help
+	@${TANGLE} -R"AffinePlane.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AffinePlane.input
+	@echo "AffinePlane (AFFPL)" >>${HELPFILE}
+
 ${HELP}/AffineSpace.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7000 create AffineSpace.help from \
+	@echo 7001 create AffineSpace.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"AffineSpace.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17488,7 +17527,7 @@ ${HELP}/AffineSpace.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "AffineSpace (AFFSP)" >>${HELPFILE}
 
 ${HELP}/AffineSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7001 create AffineSpaceCategory.help from \
+	@echo 7002 create AffineSpaceCategory.help from \
             ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"AffineSpaceCategory.help" \
             ${BOOKS}/bookvol10.2.pamphlet \
@@ -17500,7 +17539,7 @@ ${HELP}/AffineSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo "AffineSpaceCategory (AFSPCAT)" >>${HELPFILE}
 
 ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7002 create AlgebraicallyClosedField.help from \
+	@echo 7003 create AlgebraicallyClosedField.help from \
             ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"AlgebraicallyClosedField.help" \
             ${BOOKS}/bookvol10.2.pamphlet \
@@ -17512,7 +17551,7 @@ ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo "AlgebraicallyClosedField (ACF)" >>${HELPFILE}
 
 ${HELP}/Any.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7003 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7004 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Any.help" ${BOOKS}/bookvol10.3.pamphlet >${HELP}/Any.help
 	@cp ${HELP}/Any.help ${HELP}/ANY.help
 	@${TANGLE} -R"Any.input" ${BOOKS}/bookvol10.3.pamphlet \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0b97672..6bff3d0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2733,5 +2733,7 @@ books/bookvol10.2 fix NNI and export list typos<br/>
 books/bookvol10.3 add AffineSpace<br/>
 <a href="patches/20100516.04.tpd.patch">20100516.04.tpd.patch</a>
 books/bookvol10.2 fix AffineSpaceCategory.input NNI bug<br/>
+<a href="patches/20100516.05.tpd.patch">20100516.05.tpd.patch</a>
+books/bookvol10.3 add AffinePlane<br/>
  </body>
 </html>
